org.apache.poi.xwpf.usermodel

## Enum TableRowAlign

- java.lang.Object
- - java.lang.Enum<TableRowAlign>
  - - org.apache.poi.xwpf.usermodel.TableRowAlign

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TableRowAlign>

      public enum TableRowAlign
      extends java.lang.Enum<TableRowAlign>

  Sets alignment values allowed for Tables and Table Rows

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER`
    `LEFT`
    `RIGHT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static TableRowAlign` | `valueOf(int type)`
    `static TableRowAlign` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TableRowAlign[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final TableRowAlign LEFT

    - #### CENTER

          public static final TableRowAlign CENTER

    - #### RIGHT

          public static final TableRowAlign RIGHT

  - ### Method Detail

    - #### values

          public static TableRowAlign[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableRowAlign c : TableRowAlign.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableRowAlign valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static TableRowAlign valueOf(int type)

    - #### getValue

          public int getValue()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.